GLCLEARCOLOR(3G) |  | GLCLEARCOLOR(3G)

# NAME

glClearColor - specify clear values for the color buffers

# C SPECIFICATION

void glClearColor( GLclampf red,
GLclampf green,
GLclampf blue,
GLclampf alpha )

# PARAMETERS

red, green, blue, alpha
  Specify the red, green, blue, and alpha values used when the color buffers are cleared. The initial values are all 0.

# DESCRIPTION

glClearColor specifies the red, green, blue, and alpha values used by glClear to clear the color buffers. Values specified by glClearColor are clamped to the range [0, 1].

# ERRORS

GL_INVALID_OPERATION is generated if glClearColor is executed between the execution of glBegin and the corresponding execution of glEnd.

# ASSOCIATED GETS

glGet with argument GL_COLOR_CLEAR_VALUE

# SEE ALSO

glClear(3G)